Bug 50960 - Update port: x11-wm/openbox 1.2.4 -> 2.2.3
Summary: Update port: x11-wm/openbox 1.2.4 -> 2.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ade Lovett
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-15 01:00 UTC by reigncracks
Modified: 2003-05-21 16:49 UTC (History)
1 user (show)

See Also:


Attachments
openbox.diff (15.76 KB, patch)
2003-04-15 01:00 UTC, reigncracks
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description reigncracks 2003-04-15 01:00:26 UTC
This Openbox port hasn't update for a quiet while, so I decided to send
a diff of it to update. Openbox has some nice new features, since 1.2.4.

Feature:
   -Anti Aliased Fonts
	Openbox makes use of the XFree86 Xft extension to anti-alias
	fonts. This feature is optional--it can be turned off in the rc
	file. 

   -NetWM Support
	Openbox has fairly complete support for the NetWM X11 Spec.
	Openbox is therefore compatible with any NetWM tools or desktop
	environments, such as KDE 3 and Gnome 2.

   -Many more
	http://icculus.org/openbox/features.php

I would like to see this to be in the ports tree, so it would be easier
for me to help FreeBSD Gnome (2.3.0). Ex: Using Openbox while compiling
Gnome stuff and if Gnome 2.3.0 crashes, the backup WM will be Openbox. :-)
Comment 1 Tilman Keskinoz freebsd_committer 2003-04-16 09:27:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

Over to maintainer
Comment 2 Ade Lovett freebsd_committer 2003-05-21 16:49:04 UTC
State Changed
From-To: open->closed

Committed, thanks! 


Comment 3 Ade Lovett freebsd_committer 2003-05-21 16:49:04 UTC
Responsible Changed
From-To: trevor->ade

Committed, thanks!